package com.api.config;

import com.doudian.open.core.GlobalConfig;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Repository;

import javax.annotation.PostConstruct;

@Repository
public class InitDoudian {
    @Value("${doudian.app-key}")
    private String appKey;
    @Value("${doudian.app-secret}")
    private String appSecret;
    @PostConstruct
    public void init() {
        GlobalConfig.initAppKey(appKey);
        GlobalConfig.initAppSecret(appSecret);
    }
}
